http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botaliases/{botAliasId}/Updates the configuration of an existing bot alias.
The unique identifier of the bot alias.
The identifier of the bot with the updated alias.
The new bot version to assign to the bot alias.
The new description to assign to the bot alias.
The new name to assign to the bot alias.
The new Lambda functions to use in each locale for the bot alias.
Configures conversation logging that saves audio, text, and metadata for the conversations with your users.
Determines whether Amazon Lex will use Amazon Comprehend to detect the sentiment of user utterances.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botaliases/{botAliasId}/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botaliases/{botAliasId}/Updates the configuration of an existing bot alias.
The unique identifier of the bot alias.
The identifier of the bot with the updated alias.
The new bot version to assign to the bot alias.
The new description to assign to the bot alias.
The new name to assign to the bot alias.
The new Lambda functions to use in each locale for the bot alias.
Configures conversation logging that saves audio, text, and metadata for the conversations with your users.
Determines whether Amazon Lex will use Amazon Comprehend to detect the sentiment of user utterances.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botaliases/{botAliasId}/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}